VisualEditor: Backspace from (or deleteing down) into a DL breaks badly
Closed, ResolvedPublic

Description

If you backspace-delete the newline that appears immediately prior to the indented quote of this rev (the quote that begins with "This was a kind of blank .."), the entire quote is deleted. This may be related to the fact that the newline shouldn't be there in the first place; it does not exist in the wikitext version of the page, nor is the text indented by means of a template.

https://en.wikipedia.org/w/index.php?title=Ernestine_Eckstein&oldid=563439288&veaction=edit


Version: unspecified
Severity: major
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=50418

bzimport set Reference to bz50995.
Eloquence created this task.Via LegacyJul 9 2013, 1:18 AM
Eloquence added a comment.Via ConduitJul 9 2013, 7:20 AM

Also note that undo doesn't seem to work on this deletion event.

Thryduulf added a comment.Via ConduitJul 17 2013, 3:59 PM

I think this might be the same bug that I encountered last night. Details and a screenshot at https://en.wikipedia.org/w/index.php?title=Wikipedia:VisualEditor/Feedback&oldid=564667549#Indentation_with_colons_rendered_with_blank_lines._Attempting_to_delete_these_deletes_entire_section_and_cannot_be_undone

Summary: Indentation with colons is rendered in VisualEditor with one blank line per level of indent before and after the indented section. Attempting to delete one of the blank lines before the indentation unindents by one level and removing a blank line before the indented text but not removing any after it.

Attempting to remove any of the blank lines after the indented text deletes the entire indentation section. This deletion cannot be undone.

Thryduulf added a comment.Via ConduitAug 30 2013, 9:09 PM

Testing at https://en.wikipedia.org/w/index.php?title=User:Thryduulf/sandbox&oldid=570858997 shows that attempting to backspace on one of the trailing new lines no longer deletes anything, it just moves the cursor to the end of the line above.

Jdforrester-WMF moved this task to Backlog on the VisualEditor workboard.Via WebNov 24 2014, 1:29 AM
Jdforrester-WMF lowered the priority of this task from "High" to "Normal".Via WebJan 15 2015, 12:21 AM
Jdforrester-WMF set Security to None.
matmarex added a subscriber: matmarex.Via WebSun, Apr 19, 6:24 PM

This seems fixed now. I was able to backspace or delete anything around the indentations on the test pages without the editor exploding in my face.

matmarex closed this task as "Resolved".Via WebSun, Apr 19, 6:24 PM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.